package com.dragoninfo.dcuc.app.dto;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

/**
 * 调用总线结果封装
 * @author mazq
 * @date 2021/2/18
 */
@Data
public class HttpResult {
    /**
     * 响应码
     */
    private String code;
    /**
     * 总页数
     */
    private Integer pages;
    /**
     * 总数量
     */
    private Integer totals;
    /**
     * 列表集合
     */
    private JSONArray records;
    /**
     * 错误说明
     */
    private String error;
}

