
package com.dragoninfo.dcuc.app.dto.appindex;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * 烽火应用资源目录应用内容
 *
 * @author huangzqa
 */
@Data
public class FhResourceRespDTO {
    /**
     * 应用系统编号
     */
    @JsonProperty("YYXTBH")
    private String yyxtbh;

    /**
     * 应用系统名称
     */
    @JsonProperty("YYXTMC")
    private String yyxtmc;

    /**
     * 应用系统说明
     */
    @JsonProperty("YYXTSM")
    private String yyxtsm;

    /**
     * 应用系统事权单位代码
     */
    @JsonProperty("YYXTSQDWDM")
    private String yyxtsqdwdm;

    /**
     * 应用系统管理单位代码
     */
    @JsonProperty("YYXTGLDWDM")
    private String yyxtgldwdm;

    /**
     * 应用系统承建单位名称
     */
    @JsonProperty("YYXTCJDWMC")
    private String yyxtcjdwmc;

    /**
     * 应用系统运维单位名称
     */
    @JsonProperty("YYXTYWDWMC")
    private String yyxtywdwmc;

    /**
     * 上线日期
     */
    @JsonProperty("SXRQ")
    private String sxrq;

    /**
     * 下线日期
     */
    @JsonProperty("XXRQ")
    private String xxrq;

    /**
     * 应用系统分类代码
     */
    @JsonProperty("YYXTFLDM")
    private String yyxtfldm;

    /**
     * 应用来源系统种类
     */
    @JsonProperty("YYLYXTZL")
    private String yylyxtzl;

    /**
     * 应用获取方式
     */
    @JsonProperty("YYHQFS")
    private String yyhqfs;

    /**
     * 应用系统认证级别
     */
    @JsonProperty("YYXTRZJB")
    private String yyxtrzjb;

    /**
     * 系统在用标识
     */
    @JsonProperty("XTZYBS")
    private Long xtzybs;

    /**
     * 系统架构类型
     */
    @JsonProperty("XTJGLX")
    private String xtjglx;

    /**
     * 应用系统访问地址
     */
    @JsonProperty("YYXTFWDZ")
    private String yyxtfwdz;

    /**
     * 应用系统访问路径
     */
    @JsonProperty("YYXTFWLJ")
    private String yyxtfwlj;

    /**
     * 业务使用场景代码
     */
    @JsonProperty("YWSYCJDM")
    private String ywsycjdm;

    /**
     * 应用系统地市编码
     */
    @JsonProperty("YYXTDSBM")
    private String yyxtdsbm;

    /**
     * 应用系统图标
     */
    @JsonProperty("YYXTTB")
    private String yyxttb;

    /**
     * 顶层菜单编码 内置字段：PSD
     */
    @JsonProperty("TOPID")
    private String topid;

    /**
     * 应用编码
     */
    @JsonProperty("OPTID")
    private String optid;
}
