package com.dragoninfo.dcuc.app.dto.statistics;

import lombok.Data;

/**
 * 资源统计dto
 * @author mazq
 * @date 2023/6/8
 */
@Data
public class ResourceStatisticsDto {

    /**
     * 应用资源数量
     */
    private Long appNum = 0L;

    /**
     * 服务资源数量
     */
    private Long serviceNum = 0L;

    /**
     * 数据资源数量
     */
    private Long dataNum = 0L;
}
