package com.dragoninfo.dcuc.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;


/**
 * 厂商信息
 *
 * @author yica
 * @date 2018/8/6
 */
@Data
@TableName("T_MANUFACTURER_INFO")
public class ManufacturerInfo implements Serializable {

    private static final long serialVersionUID = 5953860614160119860L;

    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 厂商名称
     */
    private String manufacturerName;

    /**
     * 厂商负责人
     */
    private String name;

    /**
     * 负责人身份号码
     */
    private String idcard;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 厂商代码
     */
    private String code;

    /**
     * 联系地址
     */
    private String address;

    /**
     * 0:使用中，1：删除
     */
    @TableLogic
    private String deleted;

}
