package com.dragoninfo.dcuc.app.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/4/28 11:38
 */
@ApiModel(value = "服务资源VO")
public class ServiceResourceVo implements Serializable {

    private String id;

    @ApiModelProperty(value = "资源id")
    private String resourceId;

    @ApiModelProperty(value = "资源类型")
    private String resourceType;


    @ApiModelProperty(value = "服务资源标识符")
    private String serviceCode;

    @ApiModelProperty(value = "服务名称")
    private String serviceName;

    @ApiModelProperty(value = "服务资源状态代码 0：未激活；1：启用；2：停止；3：撤销；")
    private String serviceStatus;

    @ApiModelProperty(value = "服务访问地址")
    private String serviceUrl;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @ApiModelProperty(value = "服务类型")
    private String serviceType;

    @ApiModelProperty(value = "服务提供方式")
    private String serviceProvideWay;

    @ApiModelProperty(value = "是否自用服务,0:否，1：是")
    private String mustSelf;

    @ApiModelProperty(value = "服务提供应用系统code")
    private String appCode;

    @ApiModelProperty(value = "服务提供应用系统名称")
    private String appName;

    @ApiModelProperty(value = "资源描述")
    private String remark;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(String serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public String getServiceUrl() {
        return serviceUrl;
    }

    public void setServiceUrl(String serviceUrl) {
        this.serviceUrl = serviceUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getServiceProvideWay() {
        return serviceProvideWay;
    }

    public void setServiceProvideWay(String serviceProvideWay) {
        this.serviceProvideWay = serviceProvideWay;
    }

    public String getMustSelf() {
        return mustSelf;
    }

    public void setMustSelf(String mustSelf) {
        this.mustSelf = mustSelf;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
