package com.dragoninfo.dcuc.app.enumresources;


import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 应用消息类型
 *
 * @author huanghy, huangzqa
 * @date 2019/05/08
 */
public enum AppMsgTypeEnum implements ICodeEnum {

    /**
     * 应用新增
     */
    SAVE("10", "应用新增"),
    /**
     * 应用修改
     */
    UPDATE("20", "应用修改"),
    /**
     * 应用删除
     */
    DELETED("30", "应用删除"),
    /**
     * 应用启动或停止
     */
    STATUS("40", "应用启动或停止");

    private final String value;

    private final String label;

    AppMsgTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public String getLabel() {
        return label;
    }
}
