package com.dragoninfo.dcuc.app.enumresources;

/**
 * 数据分级分类资源在数据资源目录所属的类型
 * @author mazq
 * @date 2021/6/4
 */
public enum DataAuthTypeCodeEnum {

    /**
     * 数据分级分类资源在数据资源目录所属的类型
     */
    AUTH_DATA_LEVEL("数据分级","DATA_LEVEL"),
    AUTH_DATA_SEC("安全级别","DATA_SECURITY_LEVEL"),
    AUTH_DATA_FIELD_FIR("字段一级分类","LEVEL_1_COLUMN_CLASSIFY"),
    AUTH_DATA_FIELD_SEC("字段二级分类","LEVEL_2_COLUMN_CLASSIFY"),
    AUTH_DATA_CLA_FIR("数据组织一级分类","RESOURCE_SJZZYJFL"),
    AUTH_DATA_CLA_SEC("数据组织二级分类","RESOURCE_SJZZEJFL");

    public String label;

    public String value;

    DataAuthTypeCodeEnum(String label, String value) {
        this.label = label;
        this.value = value;
    }
}
