
CREATE TABLE `t_service_resource` (
  `id` varchar(255) NOT NULL,
  `resource_id` varchar(50) DEFAULT NULL,
  `resource_type` varchar(10) DEFAULT NULL,
  `resource_provider` varchar(20) DEFAULT NULL,
  `service_code` varchar(100) DEFAULT NULL,
  `service_name` varchar(255) DEFAULT NULL,
  `service_status` varchar(50) DEFAULT NULL,
  `service_url` varchar(255) DEFAULT NULL,
  `build_unit_id` varchar(100) DEFAULT NULL,
  `build_unit_code` varchar(100) DEFAULT NULL,
  `build_unit` varchar(255) DEFAULT NULL,
  `build_principal` varchar(100) DEFAULT NULL,
  `build_principal_phone` varchar(50) DEFAULT NULL,
  `contract_unit_id` varbinary(100) DEFAULT NULL,
  `contract_unit_code` varchar(100) DEFAULT NULL,
  `contract_unit` varchar(255) DEFAULT NULL,
  `contract_principal` varchar(100) DEFAULT NULL,
  `contract_principal_phone` varchar(50) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `deleted` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `service_code_index` (`service_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `t_resource_sync` (
  `id` varchar(255) NOT NULL,
  `content` varchar(3000) DEFAULT NULL,
  `ext_id` varchar(255) DEFAULT NULL,
  `service_code` varchar(100) DEFAULT NULL,
  `service_name` varchar(100) DEFAULT NULL,
  `app_code` varchar(100) DEFAULT NULL,
  `app_name` varchar(100) DEFAULT NULL,
  `resource_id` varchar(50) DEFAULT NULL,
  `resource_type` varchar(10) DEFAULT NULL,
  `resource_provider` varchar(10) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `sync` varchar(5) DEFAULT NULL,
  `deleted` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `service_code_index` (`service_code`) USING BTREE,
  KEY `app_code_index` (`app_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
